import React from 'react';
import styles from './caloriesSum.css';

type CaloriesSumProps = {
  calories: CalorieValue[]
};

function CaloriesSum ({ calories }: CaloriesSumProps) {
  return (
    <section className={styles.caloriesSum}>
      {calories.reduce((sum, { count }) => sum + count, 0)}
    </section>
  );
}

export {
  CaloriesSum
};
