export function getDateString (date: Date) {
  const year = date.getFullYear();
  const month = date.getMonth() + 1;
  const day = date.getDate();
  return [year, month, day]
    .map(String)
    .map((part) => part.padStart(2, '0'))
    .join('-');
}

export function haveSameDay (timestampA: number, timestampB: number) {
  const dayInMs = 3600 * 24 * 1000;
  return Math.floor(timestampA / dayInMs) === Math.floor(timestampB / dayInMs);
}
